Subject: bug#21965: 24.5; Emacs freezes when canceling at open file

From: Maneesh Yadav <[email-masked]>
Date: Fri, 20 Nov 2015 17:46:46 -0800

Ugh, this is not a part of emacs, but for the sake of anyone else who
has to to do the same in the future.  Does anyone have hints as to
building the debug version of macport emacs?

I did:
port dir emacs
(backed up original portfile)
added compiler flags -O0 and -g

*not quite sure where how to to run dsym...

Assuming I can edit the portfile properly then I should be able to
building the debug emacs binary.  If anyone already has a clever way
of doing this, please let me know otherwise I will trudge through
macports.

On Fri, Nov 20, 2015 at 3:54 PM, John Wiegley <[email-masked]> wrote:
>>>>>> Maneesh Yadav <[email-masked]> writes:
>
>> Apologies for the debug newbieness...this shows that the debug symbols are
>> in there, correct?
>
> Only the symbol table is there (i.e., it hasn't been stripped), not the debug
> info (i.e., -g) that correlates TEXT addresses with file and line numbers.
>
> John